LIBKECCAK_HMAC_FREE(3)

NAME
libkeccak_hmac_free - Destroys and deallocates an HMAC-hashing state with erasure

SYNOPSIS
#include <libkeccak.h>
void libkeccak_hmac_free(struct libkeccak_hmac_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_free() function releases the allocations stored in *state, and also release the allocation of state.

The libkeccak_hmac_free() function securely erases sensitive data.

RETURN VALUES
The libkeccak_hmac_free() function does not return any value.

ERRORS
The libkeccak_hmac_free() function cannot fail.

NOTES
A double call to libkeccak_hmac_free() will either result in a double free, which is must likely to crash the process, or free an allocation (that was created between the calls) that was not intended to be freed, resulting in undefined behaviour.

SEE ALSO
libkeccak_hmac_destroy(3), libkeccak_hmac_fast_free(3), libkeccak_hmac_create(3), libkeccak_hmac_initialise(3), libkeccak_hmac_reset(3), libkeccak_hmac_wipe(3)